--- etw-3.6+svn162.orig/etw/Makefile.linux
+++ etw-3.6+svn162/etw/Makefile.linux
@@ -1,16 +1,17 @@
-CC = gcc -pthread
+CC = gcc
+PKG_CONFIG ?= pkg-config
 
 CFLAGS = -Wall -g -fPIC -fsigned-char -Iinclude \
     -Wpointer-arith -Wcast-align -Wcast-qual  -Wno-char-subscripts  -Wshadow \
     -Waggregate-return  -Wsign-compare \
-    `pkg-config --cflags sdl` `pkg-config --cflags gtk+-2.0`
+    `$(PKG_CONFIG) --cflags sdl` `$(PKG_CONFIG) --cflags gtk+-2.0`
 
 #CFLAGS += `dpkg-buildflags --get CPPFLAGS`
 #CFLAGS += `dpkg-buildflags --get CFLAGS`
 
 SLIM = -Wl,--as-needed
 
-LDFLAGS = `pkg-config --libs sdl` `pkg-config --libs gtk+-2.0`
+LDFLAGS = `$(PKG_CONFIG) --libs sdl` `$(PKG_CONFIG) --libs gtk+-2.0`
 LDFLAGS += `dpkg-buildflags --get LDFLAGS`
 
 DEFINES = -DLINUX -DCD_VERSION -DENABLE_BINRELOC -DHAVE_STDINT_H
@@ -28,16 +29,16 @@
 	highsocket.o prefix.o
 
 .c.o: etw.h menu.h
-	$(CC) $(CFLAGS) $(DEFINES) -c $<
+	$(CC) -pthread $(CFLAGS) $(DEFINES) -c $<
 
 all: CHECKTOOLS etw
 
 etw: $(OBJECTS)
-	$(CC) $(SLIM) -o etw $(OBJECTS) $(LDFLAGS)
+	$(CC) -pthread $(SLIM) -o etw $(OBJECTS) $(LDFLAGS)
 
 clean:
 	rm -rf etw *.o
 
 CHECKTOOLS:
-	@pkg-config --cflags sdl >/dev/null 2>&1 || (echo "Error: you need SDL"; exit 1)
-	@pkg-config --cflags gtk+-2.0 >/dev/null 2>&1 || (echo "Error: you need GTK+2.0"; exit 1)
+	@$(PKG_CONFIG) --cflags sdl >/dev/null 2>&1 || (echo "Error: you need SDL"; exit 1)
+	@$(PKG_CONFIG) --cflags gtk+-2.0 >/dev/null 2>&1 || (echo "Error: you need GTK+2.0"; exit 1)
